# xarray.core.groupby.DatasetGroupBy.reduce

`DatasetGroupBy.``reduce`(func, dim=None, keep_attrs=False, **kwargs)

  Reduce the items in this group by applying func along some dimension(s).

  Parameters:

  func : function

  > Function which can be called in the form func(x, axis=axis, **kwargs) to return the result of collapsing an np.ndarray over an integer valued axis.

  dim : str or sequence of str, optional

  > Dimension(s) over which to apply func.

  axis : int or sequence of int, optional

  > Axis(es) over which to apply func. Only one of the ‘dimension’ and ‘axis’ arguments can be supplied. If neither are supplied, then func is calculated over all dimension for each group item.

  keep_attrs : bool, optional

  > If True, the datasets’s attributes (attrs) will be copied from the original object to the new one. If False (default), the new object will be returned without attributes.

  **kwargs : dict

  > Additional keyword arguments passed on to func.

  Returns:

  reduced : Array

  > Array with summarized data and the indicated dimension(s) removed.